<div ngClass="utility-container">
    <div class="utility-search-component nav-left">
        <div class="input-group">
            <mat-icon ngClass="utility-icon" style="margin-top: 5px" >search</mat-icon>
            <input type="text" (keyup)="initiateSearch($event)" class="input-mock-material" id="search" placeholder="Masukkan Id atau Nama">
        </div>
    </div>
    <div class="utility-misc-component nav-right">
        <mat-basic-chip matTooltip="Jumlah Barang" ngClass="utility-chip" style="margin-top:0px">{{ itemList.length }}</mat-basic-chip>
        <i fa [size]="'1'" matTooltip="Filter" [name]="'filter'" [ngClass]="{'utility-icon':true, 'active':activeFilter.itemCategory!=false||activeFilter.itemEntrustedStatus!=false||activeFilter.itemSold!=false}" (click)="openFilterDialog()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id" [name]="'sort-alpha-asc'" *ngIf="sortCode===0" [ngClass]="{'utility-icon':true}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id" [name]="'sort-alpha-asc'" *ngIf="sortCode===1" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id" [name]="'sort-alpha-desc'" *ngIf="sortCode===2" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <mat-icon matTooltip="Hapus Barang" ngClass="utility-icon delete-icon" *ngIf="deleteTarget && privileges.deleteItem" (click)="openDeleteDialog()">delete</mat-icon>
    </div>
</div>
<div ngClass="content-container" scrollTracker (reachedBottom)="getMoreData()">
    <p style="text-align: center; font-style: italic;" *ngIf="itemList.length === 0">Barang tidak ditemukan</p>

    <app-item-card  *ngFor="let item of myItems"
                    [item]="item" (click)="onCardClick(item)"
                    [selectedId]="(selectedItem)?selectedItem.itemId:undefined">

    </app-item-card>
</div>
<button mat-mini-fab *ngIf="privileges.addItem" ngClass="toggle-add-item" (click)="showAddItemForm()"><mat-icon>add</mat-icon></button>